Associates a Cause (Portfolio or EIN) to an Existing Tracking Instance.Copy Pageput https://tracking.api.shoppinggives.com/{id}/set-causeAuthorization: None Request Samples:Setting to a Charity { "causeId" : "1234567", "causeName" : "Some Charity" } Setting to a Portfolio { "causeId" : "19954e74-3bc4-482b-be50-08ce97baf8ae", "causeName" : "Some Portfolio" } Path Paramsidstring | nullrequiredTracking ID associated with a specific tracking instance. A GUID that is created via our tracking script and stored as an HTTP cookie on the browser. It is used to identify the customer's browsing session and store their selected cause.Body ParamscauseIdstringrequiredCause ID for the charity or portfolio; can be an EIN or portfolio ID.causeNamestringrequiredCause name for the charity or portfolio.Responses 200Success 404Tracking ID must correlate to an existing tracking instanceUpdated over 4 years ago